'use strict';

var suite = require('../../utils/suite.js');
var addLink = require('./add-link.js');
var rmLink = require('./rm-link.js');
var appendData = require('./append-data.js');
var setData = require('./set-data.js');

const tests = {
  addLink: addLink.testAddLink,
  rmLink: rmLink.testRmLink,
  appendData: appendData.testAppendData,
  setData: setData.testSetData
};
var testPatch = suite.createSuite(tests, 'patch');

module.exports = testPatch;
